package com.ruoyi.tool.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件对象 t_unify_file
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public class TUnifyFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 文件ID */
    @Excel(name = "文件ID")
    private String fileId;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String uploadName;

    /** 文件类别 */
    @Excel(name = "文件类别")
    private String uploadType;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String uploadPath;

    /** 文件格式 */
    @Excel(name = "文件格式")
    private String uploadFormat;

    /** 新文件名称 */
    @Excel(name = "新文件名称")
    private String newUploadName;

    /** 状态 */
    private String delFlag;

    /** 附件业务ID */
    @Excel(name = "附件业务ID")
    private String fileBusinessId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFileId(String fileId) 
    {
        this.fileId = fileId;
    }

    public String getFileId() 
    {
        return fileId;
    }
    public void setUploadName(String uploadName) 
    {
        this.uploadName = uploadName;
    }

    public String getUploadName() 
    {
        return uploadName;
    }
    public void setUploadType(String uploadType) 
    {
        this.uploadType = uploadType;
    }

    public String getUploadType() 
    {
        return uploadType;
    }
    public void setUploadPath(String uploadPath) 
    {
        this.uploadPath = uploadPath;
    }

    public String getUploadPath() 
    {
        return uploadPath;
    }
    public void setUploadFormat(String uploadFormat) 
    {
        this.uploadFormat = uploadFormat;
    }

    public String getUploadFormat() 
    {
        return uploadFormat;
    }
    public void setNewUploadName(String newUploadName) 
    {
        this.newUploadName = newUploadName;
    }

    public String getNewUploadName() 
    {
        return newUploadName;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setFileBusinessId(String fileBusinessId) 
    {
        this.fileBusinessId = fileBusinessId;
    }

    public String getFileBusinessId() 
    {
        return fileBusinessId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileId", getFileId())
            .append("uploadName", getUploadName())
            .append("uploadType", getUploadType())
            .append("uploadPath", getUploadPath())
            .append("uploadFormat", getUploadFormat())
            .append("newUploadName", getNewUploadName())
            .append("delFlag", getDelFlag())
            .append("fileBusinessId", getFileBusinessId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
